# Get addresses

Get an address

Endpoint: GET /v2/counterparties/{counterpartyId}/addresses/{addressId}
Version: 2.0
Security: TokenAuth

## Security:

  - `TokenAuth` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `counterpartyId` (string, required)
    The counterparty ID

  - `addressId` (string, required)
    The address ID

## Response 200 fields (application/json):

  - `addressId` (string, required)
    The address ID
    Example: ce4918bf-a199-4ce2-85a3-d0d296855384

  - `counterpartyId` (string, required)
    The counterparty ID
    Example: ce4918bf-a199-4ce2-85a3-d0d296855384

  - `createdBy` (string, required)
    The ID of the user who created this address
    Example: ce4918bf-a199-4ce2-85a3-d0d296855384

  - `createdAt` (string, required)
    The date and time the address was created
    Example: 2022-03-29T10:22:22.420Z

  - `updatedBy` (string, required)
    The ID of the user who updated this address
    Example: ce4918bf-a199-4ce2-85a3-d0d296855384

  - `updatedAt` (string, required)
    The date and time the address was updated
    Example: 2022-03-29T10:22:22.420Z

  - `custodian` (object)

  - `custodian.name` (string, required)
    The Virtual Asset Service Provider's name
    Example: Palisade Financial

  - `custodian.dId` (string, required)
    The Virtual Asset Service Provider's Decentralized Identifier
    Example: did:example:123456789abcdefghi

  - `termsAndConditionsAccepted` (boolean, required)
    Whether the user has accepted the terms and conditions
    Example: true

  - `details` (object, required)
    The address details

  - `details.type` (string, required)
    The address type
    Enum: "EXTERNAL"

  - `details.externalAddress` (object)

  - `details.externalAddress.address` (string, required)
    The address
    Example: 0x55502b9d5a68b0F8a48384352295BeD968aD8AA4

  - `details.externalAddress.name` (string, required)
    The address name
    Example: Treasury

  - `details.externalAddress.description` (string)
    The address description
    Example: Wallet used to store treasury funds

  - `details.externalAddress.blockchains` (array, required)
    The blockchains supported by the address
    Example: ["ETHEREUM"]

  - `status` (string, required)
    The address status
    Enum: "CREATED", "ENABLED", "REJECTED", "DELETED", "ERROR", "COMPLIANCE_PENDING", "COMPLIANCE_COMPLETE", "CREATION_APPROVAL_PENDING", "CREATION_APPROVAL_COMPLETE", "DELETION_APPROVAL_PENDING", "DELETION_APPROVAL_COMPLETE"

  - `active` (boolean, required)
    Whether the address is active
    Example: true

## Response 400:

  - `400` (unknown)
    Returned when the request is malformed or invalid.

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 401:

  - `401` (unknown)
    Returned when the request was unauthorized.

## Response 401 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 403:

  - `403` (unknown)
    Returned when the request was forbidden.

## Response 403 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 404:

  - `404` (unknown)
    Returned when the resource does not exist.

## Response 404 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response default:

  - `default` (unknown)
    An unexpected error response.

## Response default fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

